Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1200520 - Review Request: python-debtcollector - A collection of Python deprecation patterns and strategies
Summary: Review Request: python-debtcollector - A collection of Python deprecation pat...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1200422 (view as bug list)
Depends On: 1200955
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-10 17:59 UTC by Chandan Kumar
Modified: 2015-06-05 23:39 UTC (History)
6 users (show)

Fixed In Version: python-debtcollector-0.3.0-3.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-05 23:39:43 UTC
Type: ---
panemade: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Chandan Kumar 2015-03-10 17:59:56 UTC
Spec URL: https://chandankumar.fedorapeople.org/python-debtcollector.spec
SRPM URL: https://chandankumar.fedorapeople.org/python-debtcollector-0.3.0-1.fc21.src.rpm
Description: A collection of Python deprecation patterns and strategies
It helps you collect your technical debt in a non-destructive
in a non-destructive manner.
Documentation for debtcollector is found at
http://docs.openstack.org/developer/debtcollector
Fedora Account System Username: Chandan Kumar

This is my first package and i need a sponsor for it.

Successful Koji Build: http://koji.fedoraproject.org/koji/taskinfo?taskID=9195214

Comment 1 Zbigniew Jędrzejewski-Szmek 2015-03-10 19:21:29 UTC
%description has a repetition a repetition near the end.

After reading of the description I still don't know *what* the package does. Is it a collections of classes to help me? Is it a collection of decorators? Does it run some checks on my code? Is it a collection of (anti-)examples?

Change %{__python} to %{__python2}.

Why delete tests? It would be best to let them be and also run them in %check phase.

Use %license for LICENSE.

Comment 2 Kushal Khandelwal (kushal124) 2015-03-11 01:57:05 UTC
A quick fix in the spec :

In the source0 , user %{version}
And the fixes as suggested by Zbigniew

Comment 3 Robin Lee 2015-03-11 02:05:20 UTC
What's the difference with 1200422? You should keep only one request issue per package.

Comment 4 Zbigniew Jędrzejewski-Szmek 2015-03-11 02:18:09 UTC
(In reply to Robin Lee from comment #3)
> What's the difference with 1200422? You should keep only one request issue
> per package.
I assume it was a mistake.

Comment 5 Zbigniew Jędrzejewski-Szmek 2015-03-11 02:18:29 UTC
*** Bug 1200422 has been marked as a duplicate of this bug. ***

Comment 6 Chandan Kumar 2015-03-25 08:55:36 UTC
Hi,

Thanks for the review:
Here is the updated 
SPEC: https://chandankumar.fedorapeople.org/python-debtcollector.spec
SRPM: https://chandankumar.fedorapeople.org/python-debtcollector-0.3.0-2.fc21.src.rpm
and Koji Build: http://koji.fedoraproject.org/koji/taskinfo?taskID=9318824

I have removed the tests from %check section in the spec file because for running tests for debtcollector package, it requires a python package `discover` as a dependency (which is not yet available on fedora koji). Once the python-discover is build, i will add the tests under %check section in spec file.

Thanks,

Chandan Kumar

Comment 7 Parag AN(पराग) 2015-03-25 16:30:58 UTC
Review:

+ Package built successfully in rawhide mock (x86_64)

+ rpmlint on all generated rpms give result
python-debtcollector-doc.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/python-debtcollector-doc/html/_static/jquery.js
3 packages and 0 specfiles checked; 0 errors, 1 warnings.

=> I actually don't see any benefit fixing this but if you want you can do in %install as
dos2unix doc/build/html/_static/jquery.js

but this will require you to add in spec file 
BuildRequires: dos2unix

+ Source verified with upstream as (sha256sum)
source rpm tarball: 64cf1ab9bacbdda8c83a569349f2a91211a890973e0119514a9b7bf34518373e
upstream tarball: 64cf1ab9bacbdda8c83a569349f2a91211a890973e0119514a9b7bf34518373e

+ License is "ASL 2.0" which is valid and its license text is installed in LICENSE file.

Suggestions:
1) I see build.log showing some tracebacks while building documentation. This mean you are missing some packages. For this package you should add in spec
BuildRequires: python-six
BuildRequires: python-oslo-utils

submit new package.

Comment 8 Chandan Kumar 2015-03-27 09:19:23 UTC
Hi Parag,

Here is the updated 
SPEC: https://chandankumar.fedorapeople.org/python-debtcollector.spec
SRPM: https://chandankumar.fedorapeople.org/python-debtcollector-0.3.0-3.fc21.src.rpm

Thanks,

Chandan Kumar

Comment 9 Parag AN(पराग) 2015-03-27 11:24:57 UTC
Looks good now :)

APPROVED.

Comment 10 Chandan Kumar 2015-03-27 13:18:11 UTC
New Package SCM Request
=======================
Package Name: python-debtcollector
Short Description: A collection of Python deprecation patterns and strategies
Upstream URL: https://pypi.python.org/pypi/debtcollector
Owners: chandankumar
Branches: f22
InitialCC: apevec

Comment 11 Gwyn Ciesla 2015-03-27 15:30:38 UTC
Git done (by process-git-requests).

Comment 12 Fedora Update System 2015-03-30 06:34:02 UTC
python-debtcollector-0.3.0-3.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/python-debtcollector-0.3.0-3.fc22

Comment 13 Fedora Update System 2015-03-31 21:52:11 UTC
python-debtcollector-0.3.0-3.fc22 has been pushed to the Fedora 22 testing repository.

Comment 14 Fedora Update System 2015-06-05 23:39:43 UTC
python-debtcollector-0.3.0-3.fc22 has been pushed to the Fedora 22 stable repository.


Note You need to log in before you can comment on or make changes to this bug.